package com.seeyon.apps.src_saomaoyi;

import com.seeyon.apps.common.plugin.api.APluginInfoApi;
import com.seeyon.apps.common.plugin.vo.ConfigVo;
import com.seeyon.apps.src_saomaoyi.constants.SaoMiaoYiConstants;
import org.springframework.stereotype.Component;

@Component
public class SaoMiaoYiPluginApi extends APluginInfoApi {

    public SaoMiaoYiPluginApi() {
    }

    public String getPluginId() {
        System.out.println(SaoMiaoYiConstants.getPluginId());
        return SaoMiaoYiConstants.getPluginId();
    }

    public String getCreateUser() {
        return "橙阳科技";
    }

    public String getDescription() {
        return "三峡旅游水扫描仪控件";
    }

    public ConfigVo getDefaultConfig() {
        ConfigVo configVo = new ConfigVo();
        SaoMiaoYiConstants[] var2 = SaoMiaoYiConstants.values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            SaoMiaoYiConstants value = var2[var4];
            if (value != SaoMiaoYiConstants.plugin) {
                configVo.getDevParams().put(value.name(), value.getDefaultValue());
                configVo.getProdParams().put(value.name(), value.getDefaultValue());
                configVo.getParamMap().put(value.name(), value.getDescription());
            }
        }

        return configVo;
    }
}
